Bug 807301 - Wrong error message if domain name is null string.
Wrong error message if domain name is null string.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:12 EDT by mzimen
Modified: 2015-05-14 21:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 16:45:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mzimen 2012-03-27 09:12:56 EDT
Description of problem:
During the testing domain alteration, I found out, that if domain is "" string the error message:

Namespace \'\' is too long. Maximum length is 16 characters.


How reproducible: always


Steps to Reproduce:
1. change the domain name to ""
2.
3.
Comment 1 Clayton Coleman 2012-04-10 10:22:19 EDT
The broker should return an error - "You must enter a valid name for this domain."
Comment 2 Ravi Sankar 2012-04-12 18:59:39 EDT
Already Fixed, it is showing "Invalid namespace" error with code 106.
Comment 3 Yujie Zhang 2012-04-16 06:49:13 EDT
Verify this bug on stage, it is fixed now.

Note You need to log in before you can comment on or make changes to this bug.